Update protocol version compatibility matrix

Description

The native protocol Compatibility Matrix here:

https://docs.datastax.com/en/developer/java-driver/4.5/manual/core/native_protocol/#compatibility-matrix

Does not include DSE_V1 or DSE_V2 in the matrix, but should, since the OSS and DSE drivers have been unified.

Environment

None

Pull Requests

None

Assignee

Unassigned

Reporter

Erik Merkle

Labels

PM Priority

None

Affects versions

Fix versions

Pull Request

None

Doc Impact

None

Size

None

External issue ID

None

External issue ID

None

Priority

Minor
Configure